Package org.apache.uima.util.impl

# Class SaxDeserializer_impl

java.lang.Object
org.apache.uima.util.impl.SaxDeserializer_impl

All Implemented Interfaces:
  `SaxDeserializer`, `ContentHandler`, `LexicalHandler`

public class SaxDeserializer_impl extends Object implements SaxDeserializer, LexicalHandler
Reference implementation of `SaxDeserializer`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SaxDeserializer_impl(XMLParser aUimaXmlParser, String aNamespaceForSchema, URL aSchemaUrl, XMLParser.ParsingOptions aOptions)`
  Deprecated.
  Use `SaxDeserializer_impl(XMLParser, XMLParser.ParsingOptions)` instead.
  `SaxDeserializer_impl(XMLParser aUimaXmlParser, XMLParser.ParsingOptions aOptions)`
  Creates a new SAX Deserializer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `characters(char[] ch, int start, int length)`
  `void`
  `comment(char[] arg0, int arg1, int arg2)`
  `void`
  `endCDATA()`
  `void`
  `endDocument()`
  `void`
  `endDTD()`
  `void`
  `endElement(String namespaceURI, String localName, String qName)`
  `void`
  `endEntity(String name)`
  `void`
  `endPrefixMapping(String prefix)`
  `XMLizable`
  `getObject()`
  Retrieves the `XMLizable` object that has been built from the SAX events this object has already received.
  `void`
  `ignorableWhitespace(char[] ch, int start, int length)`
  `void`
  `processingInstruction(String target, String data)`
  `void`
  `setDocumentLocator(Locator locator)`
  `void`
  `skippedEntity(String name)`
  `void`
  `startCDATA()`
  `void`
  `startDocument()`
  `void`
  `startDTD(String name, String publicId, String systemId)`
  `void`
  `startElement(String namespaceURI, String localName, String qName, Attributes atts)`
  `void`
  `startEntity(String name)`
  `void`
  `startPrefixMapping(String prefix, String uri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.xml.sax.ContentHandler

  `declaration`

- ## Constructor Details

  - ### SaxDeserializer_impl

    public SaxDeserializer_impl(XMLParser aUimaXmlParser, XMLParser.ParsingOptions aOptions)
    Creates a new SAX Deserializer.
    Parameters:
      `aUimaXmlParser` - the UIMA XML parser that knows the XML element to Java class mappings and which is used to assist in the serialization.
      `aOptions` - option settings

  - ### SaxDeserializer_impl

    @Deprecated public SaxDeserializer_impl(XMLParser aUimaXmlParser, String aNamespaceForSchema, URL aSchemaUrl, XMLParser.ParsingOptions aOptions)
    Deprecated.
    Use `SaxDeserializer_impl(XMLParser, XMLParser.ParsingOptions)` instead.
    Creates a new SAX Deserializer.
    Parameters:
      `aUimaXmlParser` - the UIMA XML parser that knows the XML element to Java class mappings and which is used to assist in the serialization.
      `aNamespaceForSchema` - not used
      `aSchemaUrl` - not used
      `aOptions` - option settings

- ## Method Details

  - ### getObject

    public XMLizable getObject() throws InvalidXMLException
    Description copied from interface: `SaxDeserializer`
    Retrieves the `XMLizable` object that has been built from the SAX events this object has already received. Once this method is called, all state is cleared from this object and it is ready to deserialize another object.
    Specified by:
      `getObject` in interface `SaxDeserializer`
    Returns:
      the deserialized object
    Throws:
      `InvalidXMLException` - if an object could not be constructed
    See Also:
      - `SaxDeserializer.getObject()`

  - ### characters

    public void characters(char[] ch, int start, int length) throws SAXException
    Specified by:
      `characters` in interface `ContentHandler`
    Throws:
      `SAXException`
    See Also:
      - `ContentHandler.characters(char[], int, int)`

  - ### endDocument

    public void endDocument() throws SAXException
    Specified by:
      `endDocument` in interface `ContentHandler`
    Throws:
      `SAXException`
    See Also:
      - `ContentHandler.endDocument()`

  - ### endElement

    public void endElement(String namespaceURI, String localName, String qName) throws SAXException
    Specified by:
      `endElement` in interface `ContentHandler`
    Throws:
      `SAXException`
    See Also:
      - `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`

  - ### endPrefixMapping

    public void endPrefixMapping(String prefix) throws SAXException
    Specified by:
      `endPrefixMapping` in interface `ContentHandler`
    Throws:
      `SAXException`
    See Also:
      - `ContentHandler.endPrefixMapping(java.lang.String)`

  - ### ignorableWhitespace

    public void ignorableWhitespace(char[] ch, int start, int length) throws SAXException
    Specified by:
      `ignorableWhitespace` in interface `ContentHandler`
    Throws:
      `SAXException`
    See Also:
      - `ContentHandler.ignorableWhitespace(char[], int, int)`

  - ### processingInstruction

    public void processingInstruction(String target, String data) throws SAXException
    Specified by:
      `processingInstruction` in interface `ContentHandler`
    Throws:
      `SAXException`
    See Also:
      - `ContentHandler.processingInstruction(java.lang.String, java.lang.String)`

  - ### setDocumentLocator

    public void setDocumentLocator(Locator locator)
    Specified by:
      `setDocumentLocator` in interface `ContentHandler`
    See Also:
      - `ContentHandler.setDocumentLocator(org.xml.sax.Locator)`

  - ### skippedEntity

    public void skippedEntity(String name) throws SAXException
    Specified by:
      `skippedEntity` in interface `ContentHandler`
    Throws:
      `SAXException`
    See Also:
      - `ContentHandler.skippedEntity(java.lang.String)`

  - ### startDocument

    public void startDocument() throws SAXException
    Specified by:
      `startDocument` in interface `ContentHandler`
    Throws:
      `SAXException`
    See Also:
      - `ContentHandler.startDocument()`

  - ### startElement

    public void startElement(String namespaceURI, String localName, String qName, Attributes atts) throws SAXException
    Specified by:
      `startElement` in interface `ContentHandler`
    Throws:
      `SAXException`
    See Also:
      - `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

  - ### startPrefixMapping

    public void startPrefixMapping(String prefix, String uri) throws SAXException
    Specified by:
      `startPrefixMapping` in interface `ContentHandler`
    Throws:
      `SAXException`
    See Also:
      - `ContentHandler.startPrefixMapping(java.lang.String, java.lang.String)`

  - ### comment

    public void comment(char[] arg0, int arg1, int arg2) throws SAXException
    Specified by:
      `comment` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### endCDATA

    public void endCDATA() throws SAXException
    Specified by:
      `endCDATA` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### endDTD

    public void endDTD() throws SAXException
    Specified by:
      `endDTD` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### endEntity

    public void endEntity(String name) throws SAXException
    Specified by:
      `endEntity` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### startCDATA

    public void startCDATA() throws SAXException
    Specified by:
      `startCDATA` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### startDTD

    public void startDTD(String name, String publicId, String systemId) throws SAXException
    Specified by:
      `startDTD` in interface `LexicalHandler`
    Throws:
      `SAXException`

  - ### startEntity

    public void startEntity(String name) throws SAXException
    Specified by:
      `startEntity` in interface `LexicalHandler`
    Throws:
      `SAXException`